//
//  KiteDocument.js
//  Kite
//
//  Created by Joe Rhodes
//  Copyright (c) 2015 Joe Rhodes. All rights reserved.
//


@import 'DocumentInfo.js'
@import 'Helpers.js'


KiteDocument = function(fileURL, sketchDoc, exportInfo) {

    this.fileURL = fileURL
    this.sketchDoc = sketchDoc
    this.documentInfo = new DocumentInfo(fileURL, sketchDoc, exportInfo)
}

KiteDocument.prototype = {

    save: function(exportInfo) {
        log("KiteDocument Save!")

        var error = null
        var successful = [[NSFileManager defaultManager] createDirectoryAtURL:this.fileURL withIntermediateDirectories:true attributes:null error:error]

        if (successful == false) {
            log(error)
            Helpers.showDialogWithTitleMessage("Failed to Export", "We failed to create the output file at the path: " + this.fileURL.path())

            return false
        }

        var saveSuccessStatus = this.documentInfo.save(exportInfo)

        if (saveSuccessStatus == false) {
            // Remove file is saving wasn't as successful as we hoped
            //
            log("Removing unsuccessful save at URL: " + this.fileURL.path())
            [[NSFileManager defaultManager] removeItemAtURL:this.fileURL error:null]
        }

        return saveSuccessStatus
    }
}